# STACForTGIFs

- This tool creates the STAC catalog for all the TGIF talks held in the Data Management Department since 2017.

- To create this catalog, download this repository.

- Install pystac-client, stac-browser and other dependencies.

- The 'input' folder contains the input data for creating the collections, items and assets.

- Execute the stacTGIFCuration.py file to create the Catalog.

- For schema.org the following additional steps are needed:

    - Install in a new folder (folder1)  https://github.com/radiantearth/stac-browser

    - Create another folder (folder2) and copy the JSON-LD file compatible with schema.org format* 
        
    - In folder2 start the local http-server by t
        ‘ npx http-server -p 8000 --cors’
    
    - Now in the folder1, start the stac -browser
        ‘  npm start -- --open --catalogUrl="http://localhost:8000/mitras_atmodat"  ’

    - If everything is properly installed and the JSON LD format is proper, then a new browser window will open.



